# Generated by Django 4.1.6 on 2023-02-14 16:33

from django.db import migrations

import seawatch_registration.models


def insertNewMedicalPositions(apps, schema_editor):
    Position = apps.get_model("seawatch_registration", "Position")
    for key, name in [
        ("nurse", "Nurse"),
        ("paramedic", "Paramedic"),
        ("physician", "Physician"),
    ]:
        Position.objects.create(
            key=key, name=name, open_for_applications=True, group="Medical Positions"
        )

    medic = Position.objects.get(key="medic")
    medic.open_for_applications = False
    medic.save()


class Migration(migrations.Migration):
    dependencies = [
        ("seawatch_registration", "0036_alter_userprofile_user"),
    ]

    operations = [
        migrations.AddField(
            model_name="position",
            name="group",
            field=seawatch_registration.models.ShortTextField(null=True),
        ),
        migrations.RunPython(insertNewMedicalPositions),
    ]
